Class WebTemplateSectionSource
java.lang.Object
net.officefloor.compile.spi.section.source.impl.AbstractSectionSource
net.officefloor.web.template.section.WebTemplateSectionSource
- All Implemented Interfaces:
SectionSource
SectionSource for the HTTP template.- Author:
- Daniel Sagenschneider
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classNo-logic placeholder class forClassSectionSource.static classSectionWebTemplateWriterstruct.static classManagedFunctionSourcefor the HTTP template.Nested classes/interfaces inherited from class net.officefloor.compile.spi.section.source.impl.AbstractSectionSource
AbstractSectionSource.SpecificationContext -
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringName of theSectionOutputfor flow after completion of rending theParsedTemplate.static final StringPrefix on aParsedTemplateSectionname to indicate it is an override section.static final StringPropertyprefix to obtain the bean for theParsedTemplateSection.static final Stringstatic final Stringstatic final Stringstatic final StringName ofPropertyfor the number of inherited templates.static final StringName ofPropertyto indicate if thisWebTemplatecontainsHttpPathParameterinstances (dynamic path).static final StringPropertyprefix to obtain whether the link is to be secure.static final StringName ofPropertyto obtain the link separator.static final StringName ofPropertyfor theMethodname on the logicClassthat will return an object containing the values for the path parameters in redirecting to thisWebTemplate.static final StringName ofPropertyto obtain the rawParsedTemplatecontent.static final StringName ofPropertyproviding the location of theWebTemplatecontent.static final StringName ofPropertyproviding theCharsetto read in theWebTemplatecontent at the configuredPROPERTY_TEMPLATE_LOCATION.static final Stringstatic final StringName of theSectionOutputfor redirect to theWebTemplate.static final StringName of theSectionInputfor rendering thisParsedTemplate. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddWebTemplateExtension(String webtemplateExtensionClassName, PropertyList propertyList) Adds aWebTemplateExtensionBuilder.protected voidLoads theSectionSourceSpecification.voidsetHttpInputPath(HttpInputPath inputPath) Specifies theHttpInputPath.voidsourceSection(SectionDesigner designer, SectionSourceContext context) Sources theOfficeSectionby constructing it via the inputSectionDesigner.Methods inherited from class net.officefloor.compile.spi.section.source.impl.AbstractSectionSource
getSpecification
-
Field Details
-
RENDER_TEMPLATE_INPUT_NAME
Name of theSectionInputfor rendering thisParsedTemplate.- See Also:
-
REDIRECT_TEMPLATE_OUTPUT_NAME
Name of theSectionOutputfor redirect to theWebTemplate.- See Also:
-
ON_COMPLETION_OUTPUT_NAME
Name of theSectionOutputfor flow after completion of rending theParsedTemplate.- See Also:
-
OVERRIDE_SECTION_PREFIX
Prefix on aParsedTemplateSectionname to indicate it is an override section.- See Also:
-
PROPERTY_INHERITED_TEMPLATES_COUNT
Name ofPropertyfor the number of inherited templates.- See Also:
-
PROPERTY_TEMPLATE_CONTENT
Name ofPropertyto obtain the rawParsedTemplatecontent.- See Also:
-
PROPERTY_TEMPLATE_LOCATION
Name ofPropertyproviding the location of theWebTemplatecontent.- See Also:
-
PROPERTY_TEMPLATE_LOCATION_CHARSET
Name ofPropertyproviding theCharsetto read in theWebTemplatecontent at the configuredPROPERTY_TEMPLATE_LOCATION.- See Also:
-
PROPERTY_CLASS_NAME
- See Also:
-
PROPERTY_IS_PATH_PARAMETERS
Name of
Propertyto indicate if thisWebTemplatecontainsHttpPathParameterinstances (dynamic path).Note that specifying the
HttpInputPathoverrides this configured value.- See Also:
-
PROPERTY_REDIRECT_VALUES_FUNCTION
Name ofPropertyfor theMethodname on the logicClassthat will return an object containing the values for the path parameters in redirecting to thisWebTemplate.- See Also:
-
PROPERTY_BEAN_PREFIX
Propertyprefix to obtain the bean for theParsedTemplateSection.- See Also:
-
PROPERTY_TEMPLATE_SECURE
- See Also:
-
PROPERTY_LINK_SECURE_PREFIX
Propertyprefix to obtain whether the link is to be secure.- See Also:
-
PROPERTY_LINK_SEPARATOR
Name ofPropertyto obtain the link separator.- See Also:
-
PROPERTY_CONTENT_TYPE
- See Also:
-
PROPERTY_CHARSET
- See Also:
-
-
Constructor Details
-
WebTemplateSectionSource
public WebTemplateSectionSource()
-
-
Method Details
-
setHttpInputPath
Specifies theHttpInputPath.- Parameters:
inputPath-HttpInputPath.
-
addWebTemplateExtension
public WebTemplateExtensionBuilder addWebTemplateExtension(String webtemplateExtensionClassName, PropertyList propertyList) Adds aWebTemplateExtensionBuilder.- Parameters:
webtemplateExtensionClassName-WebTemplateExtensionClassname.propertyList-PropertyList.- Returns:
WebTemplateExtensionBuilder.
-
loadSpecification
Description copied from class:AbstractSectionSourceLoads theSectionSourceSpecification.- Specified by:
loadSpecificationin classAbstractSectionSource- Parameters:
context-AbstractSectionSource.SpecificationContext.
-
sourceSection
Description copied from interface:SectionSourceSources theOfficeSectionby constructing it via the inputSectionDesigner.- Parameters:
designer-SectionDesignerto construct the structure of theOfficeSection.context-SectionSourceContextto source details to construct theOfficeSection.- Throws:
Exception- If fails to construct theOfficeSection.
-